{% extends 'base.html.twig' %}

{% block title %}Subject index{% endblock %}

{% block body %}
    <h1 class="main-title-page text-center">Subject index</h1>

    <div class="row">
        <div class="col-md-10 offset-md-1 col-sm-12">
            <div class="row mx-1 my-3">
                <a href="{{ path('admin_subject_new') }}" class="btn btn-info"><i class="fas fa-plus pr-2"></i><small>CREATE SUBJECT</small></a>
                <div class="col-lg-4 col-md-6 m-auto">
                    <div class="search-bar">
                        <input type="text" id="myInput" placeholder="Search a subject">
                        <span class="bi bi-search icon-search"></span>
                    </div>
                </div>
            </div>
            <div id="myTable">
                <table id="allSubjectsTableAdmin" class="table table-striped">
                    <button id="remove-checkbox-button" class="btn btn-danger mb-3 checkbox-remove" data-toggle="modal" data-target="#modalRemoveSubjects"><i class="fas fa-trash mr-2"></i>Remove (<span class="count-checkbox">0</span> selected)</button>
                    <div class="modal fade" id="modalRemoveSubjects" tabindex="-1" role="dialog" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-scrollable" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">Confirmation</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <p>Are you sure you want to delete the selected subjects(s) ?</p>
                                    <form id="modalFormRemoveSubjects" action="{{ path('admin_subject_delete_subjects') }}" method="post">
                                        <input type="hidden" name="_token" value="{{ csrf_token('deleteSubjects') }}">
                                    </form>
                                </div>
                                <div class="modal-footer">
                                    <button type="submit" class="confirmButton-modalFormRemoveSubjects btn btn-info">Confirm</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <thead class="thead-dark">
                        <tr>
                            <th>
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" value="" id="checkbox-all" data-id="allSubjectsTableAdmin">
                                    <label class="form-check-label" for="flexCheckDefault"></label>
                                </div>
                            </th>
                            <th>Name<i class="fas fa-sort icon-sort"></i></th>
                            <th>Professor in charge<i class="fas fa-sort icon-sort"></i></th>
                            <th>actions</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for subject in subjects %}
                        <tr>
                            <td>
                                <div class="form-check form-check-remove">
                                    <input class="form-check-input" type="checkbox" value="" id="checkbox-{{ subject.id }}">
                                    <label class="form-check-label" for="flexCheckDefault"></label>
                                </div>
                            </td>
                            <td>{{ subject.name }}</td>
                            {% if subject.professor is null %}
                                <td> - </td>
                            {% else %}
                                <td>{{ subject.professor.lastname | upper }} {{ subject.professor.firstname | capitalize }}</td>
                            {% endif %}
                            <td>
                                <a href="{{ path('admin_subject_show', {'id': subject.id}) }}" class="btn btn-info"><i class="fas fa-eye"></i> show</a>
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="3">No Records Found !!</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock %}
